var os = require('os');

module.exports = function () {
	var interfaces = os.networkInterfaces();
	var addresses = [];
	for (var k in interfaces) {
		for (var k2 in interfaces[k]) {
			var address = interfaces[k][k2];
			if (address.family == 'IPv4' && !address.internal) {
				addresses.push(address.address);
			}
		}
	}
	if(addresses.length > 0)
		return addresses[0];
	
	return '0.0.0.0';
}